From: =?utf-8?b?IlNaIExpbiAo5p6X5LiK5pm6KSI=?= <szlin@debian.org>
Date: Wed, 23 May 2018 14:44:22 +0800
Subject: Remove unnecessary file

Forwarded: not-needed
---
 Makefile | 30 ------------------------------
 1 file changed, 30 deletions(-)
 delete mode 100644 Makefile

diff --git a/Makefile b/Makefile
deleted file mode 100644
index 97f4590..0000000
--- a/Makefile
+++ /dev/null
@@ -1,30 +0,0 @@
-PREFIX ?= /usr/local
-BINDIR = $(DESTDIR)$(PREFIX)/bin
-MANDIR = $(DESTDIR)$(PREFIX)/share/man/man1
-DOCDIR = $(DESTDIR)$(PREFIX)/share/doc/googler
-
-.PHONY: all install uninstall disable-self-upgrade
-
-all:
-
-install:
-	install -m755 -d $(BINDIR)
-	install -m755 -d $(MANDIR)
-	install -m755 -d $(DOCDIR)
-	gzip -c googler.1 > googler.1.gz
-	install -m755 googler $(BINDIR)
-	install -m644 googler.1.gz $(MANDIR)
-	install -m644 README.md $(DOCDIR)
-	rm -f googler.1.gz
-
-uninstall:
-	rm -f $(BINDIR)/googler
-	rm -f $(MANDIR)/googler.1.gz
-	rm -rf $(DOCDIR)
-
-# Disable the self-upgrade mechanism entirely. Intended for packagers.
-#
-# We assume that sed(1) has the -i option, which is not POSIX but seems common
-# enough in modern implementations.
-disable-self-upgrade:
-	sed -i.bak 's/^ENABLE_SELF_UPGRADE_MECHANISM = True$$/ENABLE_SELF_UPGRADE_MECHANISM = False/' googler
